.service-card{
    position:relative;
    overflow:hidden;
    display:flex;
    flex-direction:column;
    justify-content:flex-end;
    min-height:320px;
    padding:30px;
    border-radius:20px;
    text-decoration:none;
    color:#fff;
    transition:all .3s ease;
}
.service-card img{
    position:absolute;
    inset:0;
    width:100%;
    height:100%;
    object-fit:cover;
    object-position:center;
}
.service-card::before{
    content:"";
    position:absolute;
    inset:0;
    background-size:cover;
    background-position:center;
    z-index:1;
    transition:transform .4s ease;
}
.service-card::after{
    content:"";
    position:absolute;
    inset:0;
    background:
    linear-gradient(
        to top,
        rgba(0,0,0,.82),
        rgba(0,0,0,.70),
        rgba(0,0,0,.45)
    );
    z-index:2;
}
.service-card i,
.service-card h3,
.service-card p,
.service-card .service-btn{
    position:relative;
    text-shadow:0 1px 5px rgba(0,0,0,.8);
    color:#fff;
    z-index:3;
}
.service-card:hover{
    transform:translateY(-8px);
}

.service-card:hover::before{
    transform:scale(1.05);
}

.service-btn{
    margin-top:auto;
    font-weight:600;
    display:inline-flex;
    align-items:center;
    gap:8px;
}